techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Meals Checkout
  • Customer Account
    • Registration
      • Register Customer
      • Confirm Customer Registration
    • User Authentication
      • Request OTP
      • Get Access Token
      • Refresh Access Token
    • Customer Profile
      • Profile Details
      • Wallet Details
      • Referral Details
      • Update Platform Version
      • Activate/Create FCM Token
      • FCM Token
      • Delete Customer Account
      • Update Language
      • Update Avatar
      • Update Profile
    • Customer Locations
      • List Locations
      • Location Details
      • Create Location
      • Update Location
      • Update Location Image
      • Delete Location
    • List Received Notifications
  • Items
    • List Items
    • Item Details
    • List Item Categories
    • Item Category Details
    • List Modifier Categories
    • Item Config Details
    • List Bundle Categories
  • Orders
    • List Orders
    • Order Details
    • List Recurring Purchases
    • Recurring Purchase Details
    • Recurring Purchase Details
  • Subscriptions
    • List Subscriptions
    • Subscription Details
    • Cancel Subscription Auto Renewal
  • Fulfillments
    • List Fulfillments
    • Fulfillment Details
    • Update Fulfillment Details
  • Payment Methods
    • List Payment Methods
    • Delete Payment Method
    • List Enabled Payment Providers
  • Checkout
    • Checkout Config Details
    • Create Cart
    • Update Cart
    • Cart Details
    • List Pickup Locations
    • List Featured Vouchers
    • Get Courier Options
    • Checkout
  • Sales Channels
    • Orders
      • List Channel Subscriptions
      • Channel Subscription Details
      • List Channel Orders
      • Channel Order Details
      • Cancel Channel Subscription
    • Meals Checkout
      • Apply Voucher
        POST
      • Redeem
        POST
      • Get Discount
        POST
      • Place Order
        POST
    • List Channel Providers
      POST
  • Utilities
    • List Supported Cities
    • Supported City Details
  1. Meals Checkout

Apply Voucher

POST
https://api.techrar.com/api/v1/sales-channels/orders/vouchers-apply/

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/api/v1/sales-channels/orders/vouchers-apply/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
  "voucher": "nana",
  "notes": null,
  "secondary_mobile_number": null,
  "delivery_window_id": 12,
  "location": {
    "id": 9989,
    "is_corporate_location": false
  },
  "cart_items": [
    {
      "subscription": {
        "plan_id": 2455,
        "dates": [],
        "is_paused": true,
        "primary_location_id": 9989,
        "secondary_location_id": 9989,
        "restaurant_branch_id": null,
        "notes": null
      },
      "quantity": 1,
      "is_combo": false,
      "is_subscription": true,
      "combo": null,
      "product": null
    }
  ],
  "cart_id": null,
  "is_subscription": true,
  "is_redeeming": false,
  "is_pickup": false,
  "pickup_branch_id": null,
  "channel_app_id": 44
}'
Response Response Example
{
    "cart_price": 0,
    "direct_discount": 0,
    "cart_price_discounts": 0,
    "delivery_fee": 0,
    "delivery_fee_discounts": 0,
    "total_discounts": 0,
    "total_price": 0,
    "is_prime": true,
    "prime_corporate_location_id": null,
    "cashback_amount": 0,
    "voucher_applied": true
}
Modified at 2025-11-22 18:47:05
Previous
Meals Checkout
Next
Redeem
Built with